Case Notes
Authorizations
Path parameters
tokenstringRequired
The token provided by TSANet for the collaboration request
Query parameters
updatedAfterstring · date-timeOptional
Filter by notes that were updated after (YYYY-MM-DDTHH:MM:SSZ)
createdAfterstring · date-timeOptional
Filter by notes that were created after (YYYY-MM-DDTHH:MM:SSZ)
includeRemovedbooleanOptionalDefault:
Filter to include removed notes - excluded by default
falseResponses
200
List of notes
idinteger · int64Optional
caseIdinteger · int64Optional
companyNamestringOptional
creatorUsernamestringOptional
creatorEmailstringOptional
creatorNamestringOptional
summarystringOptional
descriptionstringOptional
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
tokenstringOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
401
Unauthorized
get/v1/collaboration-requests/{token}/notes
GET /v1/collaboration-requests/{token}/notes HTTP/1.1
Host: connect2.tsanet.org
Accept: */*
[
{
"id": 1,
"caseId": 1,
"companyName": "text",
"creatorUsername": "text",
"creatorEmail": "text",
"creatorName": "text",
"summary": "text",
"description": "text",
"priority": "LOW",
"status": "ENTERED",
"token": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]Authorizations
Path parameters
tokenstringRequired
The token provided by TSANet for the collaboration request
Body
summarystringRequired
descriptionstringRequired
prioritystring · enumRequiredPossible values:
Responses
200
Note created successfully
idinteger · int64Optional
caseIdinteger · int64Optional
companyNamestringOptional
creatorUsernamestringOptional
creatorEmailstringOptional
creatorNamestringOptional
summarystringOptional
descriptionstringOptional
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
tokenstringOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
400
Bad request
post/v1/collaboration-requests/{token}/notes
POST /v1/collaboration-requests/{token}/notes HTTP/1.1
Host: connect2.tsanet.org
Content-Type: application/json
Accept: */*
Content-Length: 232
{
"summary": "text",
"description": "text",
"priority": "LOW",
"submittedBy": {
"id": 1,
"username": "text",
"firstName": "text",
"lastName": "text",
"email": "text",
"phone": "text",
"phoneCountryCode": "text",
"city": "text",
"emailCheckFailData": "text"
}
}{
"id": 1,
"caseId": 1,
"companyName": "text",
"creatorUsername": "text",
"creatorEmail": "text",
"creatorName": "text",
"summary": "text",
"description": "text",
"priority": "LOW",
"status": "ENTERED",
"token": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Last updated